POST api/POOrder/Bill
Request Information
URI Parameters
None.
Body Parameters
DTO_POOrder| Name | Description | Type | Additional information |
|---|---|---|---|
| billType | string |
None. |
|
| billNo | string |
None. |
|
| supplier | string |
None. |
|
| materialCode | string |
None. |
|
| materialName | string |
None. |
|
| specification | string |
None. |
|
| begDate | string |
None. |
|
| endDate | string |
None. |
|
| srmStatus | string |
None. |
|
| sortType | string |
None. |
|
| pageNo | integer |
None. |
|
| pageSize | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"billType": "sample string 1",
"billNo": "sample string 2",
"supplier": "sample string 3",
"materialCode": "sample string 4",
"materialName": "sample string 5",
"specification": "sample string 6",
"begDate": "sample string 7",
"endDate": "sample string 8",
"srmStatus": "sample string 9",
"sortType": "sample string 10",
"pageNo": 11,
"pageSize": 12
}
application/xml, text/xml
Sample:
<DTO_POOrder xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/K3Wise.Std.WebAPI.Models"> <begDate>sample string 7</begDate> <billNo>sample string 2</billNo> <billType>sample string 1</billType> <endDate>sample string 8</endDate> <materialCode>sample string 4</materialCode> <materialName>sample string 5</materialName> <pageNo>11</pageNo> <pageSize>12</pageSize> <sortType>sample string 10</sortType> <specification>sample string 6</specification> <srmStatus>sample string 9</srmStatus> <supplier>sample string 3</supplier> </DTO_POOrder>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |